POST api/Messaging/UploadMessage
Request Information
URI Parameters
None.
Body Parameters
CommunicationViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| SenderId | string |
None. |
|
| ReceiverId | string |
None. |
|
| Message | string |
None. |
|
| ProductId | integer |
None. |
|
| IsRead | boolean |
None. |
|
| Created | date |
None. |
|
| Enabled | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"id": 1,
"senderId": "sample string 2",
"receiverId": "sample string 3",
"message": "sample string 4",
"productId": 5,
"isRead": true,
"created": "2026-03-04T16:27:52.0447409Z",
"enabled": true
}
application/xml, text/xml
Sample:
<CommunicationViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"> <Created>2026-03-04T16:27:52.0447409Z</Created> <Enabled>true</Enabled> <Id>1</Id> <IsRead>true</IsRead> <Message>sample string 4</Message> <ProductId>5</ProductId> <ReceiverId>sample string 3</ReceiverId> <SenderId>sample string 2</SenderId> </CommunicationViewModel>
multipart/form-data
Sample:
<CommunicationViewModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/ncdc.api.ViewModels"><Created>2026-03-04T16:27:52.0447409Z</Created><Enabled>true</Enabled><Id>1</Id><IsRead>true</IsRead><Message>sample string 4</Message><ProductId>5</ProductId><ReceiverId>sample string 3</ReceiverId><SenderId>sample string 2</SenderId></CommunicationViewModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml, multipart/form-data
Sample:
Sample not available.